# -*- coding: utf-8 -*-
# Generated by Django 1.11.14 on 2018-07-25 16:25
from __future__ import unicode_literals

from django.db import migrations, models
from phonenumber_field.modelfields import PhoneNumberField


class Migration(migrations.Migration):

    dependencies = [
        ('mentorship', '0011_auto_20180710_0849'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='mentor',
            name='preferred_contact',
        ),
        migrations.AddField(
            model_name='mentor',
            name='default_duration',
            field=models.SmallIntegerField(choices=[(15, '15 minutes'), (30, '30 minutes'), (45, '45 minutes'), (60, '1 hour')], default=30),
        ),
        migrations.AddField(
            model_name='mentor',
            name='default_location',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='mentor',
            name='default_meeting_type',
            field=models.SmallIntegerField(choices=[(1, 'Phone'), (3, 'Video Call'), (4, 'In Person')], default=2),
        ),
        migrations.AddField(
            model_name='mentor',
            name='email',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='mentor',
            name='phone_number',
            field=PhoneNumberField(blank=True, default=None, max_length=20, null=True),
        ),
        migrations.AddField(
            model_name='mentor',
            name='skype',
            field=models.CharField(blank=True, default=None, max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='mentorschedule',
            name='date',
            field=models.DateField(null=True),
        ),
        migrations.AddField(
            model_name='mentorschedule',
            name='is_repeating',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='mentorschedule',
            name='location',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='mentorschedule',
            name='meeting_type',
            field=models.SmallIntegerField(choices=[(1, 'Phone'), (3, 'Video Call'), (4, 'In Person')], default=4),
        ),
        migrations.AddField(
            model_name='mentorschedule',
            name='notes',
            field=models.TextField(null=True),
        ),
        migrations.AddField(
            model_name='note',
            name='is_edited',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='note',
            name='timestamp_edited',
            field=models.DateTimeField(auto_now=True, null=True),
        ),
        migrations.AlterField(
            model_name='mentorschedule',
            name='day',
            field=models.PositiveSmallIntegerField(blank=True, choices=[(1, 'Monday'), (2, 'Tuesday'), (3, 'Wednesday'), (4, 'Thursday'), (5, 'Friday'), (6, 'Saturday'), (7, 'Sunday')], null=True),
        ),
        migrations.AlterField(
            model_name='mentorschedule',
            name='is_inactive',
            field=models.BooleanField(default=False),
        ),
        migrations.AlterField(
            model_name='mentorshipdefaults',
            name='preferred_contact',
            field=models.SmallIntegerField(choices=[(1, 'Phone'), (3, 'Video Call'), (4, 'In Person')], default=2),
        ),
    ]
